> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Update Groups

> Retrieve a paginated list of update groups for a given employer

export const PaginationInfo = ({defaultSortField, sortFields = [], maxLimit = 100, defaultLimit = 20}) => {
  return <>
      <div class="border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4>Pagination & Sorting</h4>
      </div>

      {(maxLimit || defaultLimit) && <ResponseField name="Limit">
        <ul>
          {defaultLimit && <li>Default: {defaultLimit}</li>}
          {maxLimit && <li>Maximum: {maxLimit}</li>}
        </ul>
      </ResponseField>}

      <ResponseField name="Sort Fields">
        <ul>
            {sortFields.map(field => {
    if (field == defaultSortField || sortFields.length == 1) {
      return <li key={field}> <code>{field} (Default)</code> </li>;
    } else {
      return <li key={field}> <code>{field}</code> </li>;
    }
  })}
        </ul>
      </ResponseField>
    </>;
};

<PaginationInfo defaultSortField="uploadDate" sortFields={["uploadDate"]} />


## OpenAPI

````yaml GET /v1/employer-identifiers/{employer_identifier}/update-groups
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/employer-identifiers/{employer_identifier}/update-groups:
    get:
      tags:
        - Employee Updates
      description: Retrieve a paginated list of update groups for a given employer
      operationId: listUpdateGroups
      parameters:
        - name: employer_identifier
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the employer identifier
      responses:
        '200':
          description: >-
            Returns the latest statuses for a list of update groups for a given
            employer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUpdateGroupResponse'
              example:
                data:
                  - updateGroupId: 00000000-0000-0000-0000-000000000000
                    uploadDate: '2026-01-31T14:06:54.227Z'
                    errorCount: 0
                  - updateGroupId: 11111111-1111-1111-1111-111111111111
                    uploadDate: '2026-02-28T21:35:48.897Z'
                    errorCount: 7
                meta:
                  limit: 2
                  offset: 0
                  sort: uploadDate
                  currentCount: 2
                  totalCount: 20
                  filters: {}
        '401':
          description: Unauthorized - authentication credentials are missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - Employer identifier does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListUpdateGroupResponse:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UpdateGroupStatus'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string
    UpdateGroupStatus:
      type: object
      required:
        - updateGroupId
        - uploadDate
        - errorCount
      properties:
        updateGroupId:
          type: string
          format: uuid
          description: The UUID representing the update group
        uploadDate:
          type: string
          format: date-time
          description: The time at which the update group was uploaded
        errorCount:
          type: integer
          minimum: 0
          description: >-
            The number of errors that occurred while the update group was being
            processed
    PaginationMeta:
      type: object
      required:
        - offset
        - limit
        - currentCount
        - totalCount
        - sort
        - filters
      properties:
        offset:
          type: integer
          minimum: 0
          description: Number of results to skip from the beginning
        limit:
          type: integer
          minimum: 1
          description: Maximum number of results per page
        currentCount:
          type: integer
          minimum: 0
          description: Number of results in current page
        totalCount:
          type: integer
          minimum: 0
          description: Total number of results
        sort:
          type: string
          pattern: ^(-?\w{1,100})(?:,(-?\w{1,100})){0,2}$
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending order
        filters:
          type: object
          additionalProperties: true
          description: >-
            The filters applied to the request. Contains field names as keys
            with their filter values or operator-based filter objects as values

````